curl --location --globoff --request PUT 'https://.daftra.com/api2/purchase_invoices/1.json' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"PurchaseOrder": {
"staff_id": 98,
"no": "987",
"supplier_id": 2,
"is_offline": true,
"currency_code": "USD",
"supplier_business_name": "Trevor Collins",
"supplier_first_name": "Issac",
"supplier_last_name": "Rosenbaum",
"supplier_email": "Chasity.Trantow43@gmail.com",
"supplier_address1": "78899 Ezequiel Knolls",
"supplier_address2": "esse ad",
"supplier_postal_code": "60504",
"supplier_city": "New Deronton",
"supplier_state": "Indiana",
"supplier_country_code": "GP",
"date": "2024-01-15",
"draft": true,
"Supplier_active_secondary_address": true,
"Supplier_secondary_country_code": "LU",
"Supplier_secondary_name": "Roy Langosh",
"Supplier_secondary_address1": "863 Garfield Curve",
"Supplier_secondary_address2": "tempor",
"Supplier_secondary_city": "Millston",
"Supplier_secondary_state": "New Jersey",
"Supplier_secondary_postal_code": "51234",
"is_received": false,
"received_date": "2019-10-30 12:59:30"
},
"PurchaseOrderItem": [
{
"id": 555,
"product_id": 66,
"org_name": "Jeremiah Mitchell",
"description": "Toties deleniti conservo temeritas vado creo canonicus venustas arceo. Auctor calculus repellat adopto rerum ratione praesentium.",
"unit_price": 11,
"quantity": 5,
"tax1": -70605616.54626238,
"tax2": -7145428.370275825,
"purchase_order_id": 23,
"item": "Widget",
"col_3": "consectetur",
"col_4": "dolore Ut magna nulla sed",
"col_5": null,
"discount": -17301667.184801355,
"discount_type": 2,
"store_id": 0
}
]
}'